# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "sigma-ser"
version = "0.3.0"
authors = ["Denys Zadorozhnyi <denys@zadorozhnyi.com>"]
description = "Ergo binary serialization primitives"
license = "CC0-1.0"
repository = "https://github.com/ergoplatform/sigma-rust"

[lib]
crate-type = ["cdylib", "rlib"]
[dependencies.bitvec]
version = "0.22.3"

[dependencies.thiserror]
version = "1"
[dev-dependencies.derive_more]
version = "0.99"

[dev-dependencies.proptest]
version = "0.10"

[dev-dependencies.proptest-derive]
version = "0.2"
